petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMGetDS

Get the PetscDS

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetDS(DM dm, PetscDS *prob)

### Input Parameter

dm -The DM

### Output Parameter

prob -The PetscDS

### See Also

DMSetDS()

### Level

developer

### Location

src/dm/interface/dm.c

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages